<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{443394E0-F618-0D60-04C0-E207199604A2}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>tcEAI_C</RootNamespace>
    <AssemblyName>tcEAI_C</AssemblyName>
    <FileAlignment>512</FileAlignment>
    <MyType>Windows</MyType>
    <TargetFrameworkVersion>v4.6.2</TargetFrameworkVersion>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
    <TargetFrameworkProfile />
    <DefaultItemExcludes>$(DefaultItemExcludes);$(ProjectDir)**\*.vb</DefaultItemExcludes>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>..\..\MES_S_DLL\</OutputPath>
    <DocumentationFile>..\..\MES_S_DLL\tcEAI_C.xml</DocumentationFile>
    <NoWarn>42016,41999,42017,42018,42019,42032,42036,42020,42021,42022</NoWarn>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>..\..\MES_S_DLL\</OutputPath>
    <DocumentationFile>..\..\MES_S_DLL\tcEAI_C.xml</DocumentationFile>
    <NoWarn>42016,41999,42017,42018,42019,42032,42036,42020,42021,42022</NoWarn>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup>
    <OptionExplicit>On</OptionExplicit>
  </PropertyGroup>
  <PropertyGroup>
    <OptionCompare>Binary</OptionCompare>
  </PropertyGroup>
  <PropertyGroup>
    <OptionStrict>Off</OptionStrict>
  </PropertyGroup>
  <PropertyGroup>
    <OptionInfer>On</OptionInfer>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Apache.NMS, Version=1.7.1.3894, Culture=neutral, PublicKeyToken=82756feee3957618, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\Apache.NMS.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Apache.NMS.ActiveMQ, Version=1.7.2.4108, Culture=neutral, PublicKeyToken=82756feee3957618, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\Apache.NMS.ActiveMQ.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="BouncyCastle.Crypto, Version=1.8.9.0, Culture=neutral, PublicKeyToken=0e99375e54769942">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\BouncyCastle.Crypto.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="data_access_service, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\data_access_service.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="iMESAppSetting, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\iMESAppSetting.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="iMESCIOC, Version=0.0.0.0, Culture=neutral, PublicKeyToken=3ad2cfbf6a289680, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\iMESCIOC.dll</HintPath>
    </Reference>
    <Reference Include="iMESComSubroutine, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\iMESComSubroutine.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="iMESComXML, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\iMESComXML.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="iMESConst, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\iMESConst.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="iMESUserManager, Version=0.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\环境\MESws_API\bin\iMESUserManager.dll</HintPath>
    </Reference>
    <Reference Include="iMESWIPReleaseLogHandler, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\iMESWIPReleaseLogHandler.dll</HintPath>
    </Reference>
    <Reference Include="kcEAP, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\环境\MESws_API\bin\kcEAP.dll</HintPath>
    </Reference>
    <Reference Include="kcEMS, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\环境\MESws_API\bin\kcEMS.dll</HintPath>
    </Reference>
    <Reference Include="kcENT, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\\kcENT.dll</HintPath>
    </Reference>
    <Reference Include="kcEQP, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\kcEQP.dll</HintPath>
    </Reference>
    <Reference Include="kcOE, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\\kcOE.dll</HintPath>
    </Reference>
    <Reference Include="kcOP, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\\kcOP.dll</HintPath>
    </Reference>
    <Reference Include="kcSMD, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\\kcSMD.dll</HintPath>
    </Reference>
    <Reference Include="kcSYS, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\\kcSYS.dll</HintPath>
    </Reference>
    <Reference Include="kcUSR, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\环境\MESws_API\bin\kcUSR.dll</HintPath>
    </Reference>
    <Reference Include="kcWIP, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\kcWIP.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.VisualBasic" />
    <Reference Include="iMESCIO">
      <HintPath>..\..\MES_S_DLL\iMESCIO.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="iMESDataObject">
      <HintPath>..\..\MES_S_DLL\iMESDataObject.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="iMESException">
      <HintPath>..\..\MES_S_DLL\iMESException.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="iMESLog, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\iMESLog.dll</HintPath>
    </Reference>
    <Reference Include="kcMTL">
      <HintPath>..\..\MES_S_DLL\kcMTL.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="kcPRD">
      <HintPath>..\..\MES_S_DLL\kcPRD.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="kcQC">
      <HintPath>..\..\MES_S_DLL\kcQC.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="kcSPC">
      <HintPath>..\..\MES_S_DLL\kcSPC.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=9.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <Private>False</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="tcEAI, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\tcEAI.dll</HintPath>
    </Reference>
    <Reference Include="tcSPC_IC, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\tcSPC_IC.dll</HintPath>
    </Reference>
    <Reference Include="tcWIP_IC, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\tcWIP_IC.dll</HintPath>
    </Reference>
    <Reference Include="udReverse, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\udReverse.dll</HintPath>
    </Reference>
    <Reference Include="udSPC, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\udSPC.dll</HintPath>
    </Reference>
    <Reference Include="udSYS, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\udSYS.dll</HintPath>
    </Reference>
    <Reference Include="udSYS_Customer, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\udSYS_Customer.dll</HintPath>
    </Reference>
    <Reference Include="udUnitTransferFunction, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\\udUnitTransferFunction.dll</HintPath>
    </Reference>
    <Reference Include="udWIP, Version=6.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\MES_S_DLL\udWIP.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="System" />
    <Import Include="System.Collections" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Data" />
    <Import Include="System.Diagnostics" />
    <Import Include="System.Linq" />
    <Import Include="System.Xml.Linq" />
    <Import Include="System.Threading.Tasks" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="clsCom.cs" />
    <Compile Include="clsEAP.cs" />
    <Compile Include="clsERP.cs" />
    <Compile Include="clsMDS.cs" />
    <Compile Include="clsOE.cs" />
    <Compile Include="clsSPC.cs" />
    <Compile Include="My Project\AssemblyInfo.cs" />
    <Compile Include="My Project\Application.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Application.myapp</DependentUpon>
    </Compile>
    <Compile Include="My Project\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="My Project\Application.myapp">
      <Generator>MyApplicationCodeGenerator</Generator>
      <LastGenOutput>Application.Designer.cs</LastGenOutput>
    </None>
    <None Include="My Project\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <CustomToolNamespace>tcEAI_C.My</CustomToolNamespace>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>